Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Cloudera Manager installation issue in RHEL 5.7

Solved Go to solution

Cloudera Manager installation issue in RHEL 5.7

New Contributor

Hi,

 

We are trying to install CDH 4.4 on RHEL 5.7. But the installation was aborted because of Postgres DB installation issues. 

 

Logs from /var/log/cloudera-manager-installer/4.install-cloudera-manager-server-db.log

 

Loaded plugins: product-id, security, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cloudera-manager-server-db.x86_64 0:4.7.3-1.cm473.p0.163.el5 set to be updated
--> Processing Dependency: postgresql-server >= 8.0 for package: cloudera-manager-server-db
--> Finished Dependency Resolution
cloudera-manager-server-db-4.7.3-1.cm473.p0.163.el5.x86_64 from cloudera-manager has depsolving problems
--> Missing Dependency: postgresql-server >= 8.0 is needed by package cloudera-manager-server-db-4.7.3-1.cm473.p0.163.el5.x86_64 (cloudera-manager)
Error: Missing Dependency: postgresql-server >= 8.0 is needed by package cloudera-manager-server-db-4.7.3-1.cm473.p0.163.el5.x86_64 (cloudera-manager)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

 

Please let me know how to proceed furthur.

 

Thanks in advance,

Naresh

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Cloudera Manager installation issue in RHEL 5.7

Master Collaborator

OK, apparently this is a misconfiguration in your yum repos.  I'm not sure what error you are getting when trying to install postgresql-server, but our installer will use yum to do that and is apparently not able to contact the RHEL repos.

4 REPLIES 4

Re: Cloudera Manager installation issue in RHEL 5.7

Master Collaborator

As per the Installation Requirements of CM 4.7.3, PostGres 8.1 or higher is required.  You are on an older version of RHEL and therefore do not have a new enough version of PostGres.  You can try the following command and see if you can get postgres upgraded to an acceptable version:

 

yum update postgresql-server

Re: Cloudera Manager installation issue in RHEL 5.7

New Contributor

We dont have PostgresSQL installed already in the VM. We are following Path A type automated installation mentioned here .

Between yum update for postgresql-server is failed as there is no package available with the name postgresql-server


As per the Cloudera documentation we dont need to install any dependencies if we follow Path A right. 

Re: Cloudera Manager installation issue in RHEL 5.7

Master Collaborator

Ah, ok.  You are correct that you are not supposed to have to pre-install postgresql for Path A.  It's possible that there the latest version of CM has dependencies that are incompatible with RHEL 5.7, even though the document I linked claims support for RHEL 5.7.

 

I will investigate and get back to you.

Re: Cloudera Manager installation issue in RHEL 5.7

Master Collaborator

OK, apparently this is a misconfiguration in your yum repos.  I'm not sure what error you are getting when trying to install postgresql-server, but our installer will use yum to do that and is apparently not able to contact the RHEL repos.

Don't have an account?
Coming from Hortonworks? Activate your account here